<?php


/**
 * Implements hook_views_default_views().
 */
function codes_pool_views_default_views() {
  $manage_code_upload_entities = codes_pool_manage_entities_view();

  $views[$manage_code_upload_entities->name] = $manage_code_upload_entities;

  return $views;
}

function codes_pool_manage_entities_view() {
  $view = new view();
  $view->name = 'manage_code_uploads';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'codes_upload_entity';
  $view->human_name = 'Manage Code Uploads';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Manage Code Uploads';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer codes upload entity';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Codes Upload Entity: Codes upload entity ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'codes_upload_entity';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  $handler->display->display_options['fields']['pid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['pid']['separator'] = '';
  /* Field: Codes Upload Entity: Program Code */
  $handler->display->display_options['fields']['field_codes_pool_program_code']['id'] = 'field_codes_pool_program_code';
  $handler->display->display_options['fields']['field_codes_pool_program_code']['table'] = 'field_data_field_codes_pool_program_code';
  $handler->display->display_options['fields']['field_codes_pool_program_code']['field'] = 'field_codes_pool_program_code';
  /* Field: Codes Upload Entity: Codes Pool Type */
  $handler->display->display_options['fields']['field_codes_pool_type']['id'] = 'field_codes_pool_type';
  $handler->display->display_options['fields']['field_codes_pool_type']['table'] = 'field_data_field_codes_pool_type';
  $handler->display->display_options['fields']['field_codes_pool_type']['field'] = 'field_codes_pool_type';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Operations';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = 'Edit';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['nothing']['alter']['path'] = '/admin/structure/code_upload_entity/manage/[pid]';
  /* Sort criterion: Codes Upload Entity: Program Code (field_codes_pool_program_code) */
  $handler->display->display_options['sorts']['field_codes_pool_program_code_value']['id'] = 'field_codes_pool_program_code_value';
  $handler->display->display_options['sorts']['field_codes_pool_program_code_value']['table'] = 'field_data_field_codes_pool_program_code';
  $handler->display->display_options['sorts']['field_codes_pool_program_code_value']['field'] = 'field_codes_pool_program_code_value';
  /* Filter criterion: Codes Upload Entity: Codes Pool Type (field_codes_pool_type) */
  $handler->display->display_options['filters']['field_codes_pool_type_value']['id'] = 'field_codes_pool_type_value';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['table'] = 'field_data_field_codes_pool_type';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['field'] = 'field_codes_pool_type_value';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_codes_pool_type_value']['expose']['operator_id'] = 'field_codes_pool_type_value_op';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['expose']['label'] = 'Codes Pool Type';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['expose']['operator'] = 'field_codes_pool_type_value_op';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['expose']['identifier'] = 'field_codes_pool_type_value';
  $handler->display->display_options['filters']['field_codes_pool_type_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    5 => 0,
    33 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
    9 => 0,
    10 => 0,
    11 => 0,
    12 => 0,
    13 => 0,
    14 => 0,
    15 => 0,
    16 => 0,
    17 => 0,
    18 => 0,
    19 => 0,
    20 => 0,
    21 => 0,
    22 => 0,
    23 => 0,
    24 => 0,
    25 => 0,
    35 => 0,
    26 => 0,
    27 => 0,
    28 => 0,
    29 => 0,
    30 => 0,
    31 => 0,
    32 => 0,
    34 => 0,
    36 => 0,
  );
  /* Filter criterion: Codes Upload Entity: Program Code (field_codes_pool_program_code) */
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['id'] = 'field_codes_pool_program_code_value';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['table'] = 'field_data_field_codes_pool_program_code';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['field'] = 'field_codes_pool_program_code_value';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['operator_id'] = 'field_codes_pool_program_code_value_op';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['label'] = 'Program Code';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['operator'] = 'field_codes_pool_program_code_value_op';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['identifier'] = 'field_codes_pool_program_code_value';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    5 => 0,
    33 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
    9 => 0,
    10 => 0,
    11 => 0,
    12 => 0,
    13 => 0,
    14 => 0,
    15 => 0,
    16 => 0,
    17 => 0,
    18 => 0,
    19 => 0,
    20 => 0,
    21 => 0,
    22 => 0,
    23 => 0,
    24 => 0,
    25 => 0,
    35 => 0,
    26 => 0,
    27 => 0,
    28 => 0,
    29 => 0,
    30 => 0,
    31 => 0,
    32 => 0,
    34 => 0,
    36 => 0,
  );
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['autocomplete_items'] = '10';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['autocomplete_min_chars'] = '0';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['autocomplete_field'] = 'field_codes_pool_program_code';
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['autocomplete_raw_suggestion'] = 1;
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['autocomplete_raw_dropdown'] = 1;
  $handler->display->display_options['filters']['field_codes_pool_program_code_value']['expose']['autocomplete_dependent'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/structure/code_upload_entity';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Manage Code Uploads';
  $handler->display->display_options['menu']['name'] = 'management';
  $translatables['manage_code_uploads'] = array(
    t('Master'),
    t('Manage Code Uploads'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('Codes upload entity ID'),
    t('.'),
    t('Program Code'),
    t('Codes Pool Type'),
    t('Operations'),
    t('Edit'),
    t('Page'),
  );

  return $view;
}
